Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
Cross-references physical media collection with watch history showing watched/unwatched status.
cURL
curl --request GET \ --url https://api.rewind.rest/v1/collecting/media/cross-reference \ --header 'Authorization: Bearer <token>'
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.rewind.rest/v1/collecting/media/cross-reference', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
import requests url = "https://api.rewind.rest/v1/collecting/media/cross-reference" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
{ "data": [ { "collection": { "id": 2, "title": "The Great Escape", "year": 1963, "tmdb_id": 5925, "image": null, "media_type": "bluray_4k", "resolution": "2160p", "collected_at": "2025-12-25T00:00:00Z" }, "watching": { "watched": true, "watch_count": 3, "last_watched": "2025-08-10T20:00:00Z" } } ], "summary": { "total_owned": 45, "total_watched": 30, "total_unwatched": 15, "watch_rate": 0.67 }, "pagination": { "page": 1, "limit": 20, "total": 30, "total_pages": 2 } }
{ "error": "Not found", "status": 404 }
API key. Read keys (rw_live_...) access GET endpoints. Admin keys (rw_admin_...) access all endpoints.
x >= 1
1 <= x <= 100
Cross-reference data with summary stats
Show child attributes